> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reelevant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a font



## OpenAPI

````yaml https://openapi.production.reelevant.io/v1/render/contents-api patch /contents/fonts/{id}
openapi: 3.0.0
info:
  title: contents-api
  version: f9a1b334ed88c96ed84665c78dcdba64fc9f2b14
  description: |-
    # Errors
    | Error code | Message | HTTP status code | Payload |
    | :--- | :--- | :--- | :--- |
    | number | string | 404 |  |
servers:
  - url: https://api.reelevant.com/v2/
    description: production
security: []
paths:
  /contents/fonts/{id}:
    patch:
      tags:
        - ContentResource
      summary: Update a font
      operationId: update-font-content-resource
      parameters:
        - name: id
          in: path
          schema:
            type: string
            pattern: ^[0-9a-fA-F]{24}$
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  readOnly: true
                companyId:
                  type: string
                  readOnly: true
                resourceGroupIds:
                  type: array
                  items:
                    type: string
                createdAt:
                  type: string
                  format: date-time
                  readOnly: true
                updatedAt:
                  type: string
                  format: date-time
                  readOnly: true
                type:
                  type: string
                  enum:
                    - font
                family:
                  type: string
                  maxLength: 50
                files:
                  type: object
                  properties: {}
                  additionalProperties:
                    type: string
              additionalProperties: false
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - success
                    required:
                      - status
                    additionalProperties: false
                  - $ref: '#/components/schemas/InternalResponse_ContentFontResource'
        '404':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/InternalResponse_'
                  - type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - fail
                      error_code:
                        type: number
                      code:
                        type: number
                      message:
                        type: string
                      data:
                        oneOf:
                          - type: object
                            properties:
                              id:
                                type: string
                            required:
                              - id
                            additionalProperties: false
                          - type: object
                            properties: {}
                            additionalProperties: false
                          - type: object
                            properties:
                              workflows:
                                type: array
                                items:
                                  type: string
                            required:
                              - workflows
                            additionalProperties: false
                          - type: object
                            properties:
                              id:
                                type: string
                            required:
                              - id
                            additionalProperties: false
                          - type: object
                            properties:
                              id:
                                type: string
                              message:
                                type: string
                            required:
                              - id
                            additionalProperties: false
                          - type: object
                            properties:
                              err:
                                type: string
                            required:
                              - err
                            additionalProperties: false
                          - type: object
                            properties:
                              err:
                                type: string
                            required:
                              - err
                            additionalProperties: false
                          - type: object
                            properties:
                              message:
                                type: string
                              details:
                                type: array
                                items:
                                  type: string
                            required:
                              - message
                            additionalProperties: false
                          - type: object
                            properties:
                              missingDependencies:
                                type: array
                                items:
                                  type: string
                            required:
                              - missingDependencies
                            additionalProperties: false
                          - type: object
                            properties:
                              url:
                                type: string
                              timeout:
                                type: number
                            required:
                              - url
                              - timeout
                            additionalProperties: false
                    required:
                      - status
                      - error_code
                      - code
                      - message
                    additionalProperties: false
      security:
        - password_auth: []
components:
  schemas:
    InternalResponse_ContentFontResource:
      type: object
      properties:
        program:
          type: string
        version:
          type: string
        datetime:
          type: string
        status:
          type: string
        code:
          type: number
        message:
          type: string
        data:
          $ref: '#/components/schemas/ContentFontResource'
      required:
        - program
        - version
        - datetime
        - status
        - message
        - data
      additionalProperties: false
    InternalResponse_:
      type: object
      properties:
        program:
          type: string
        version:
          type: string
        datetime:
          type: string
        status:
          type: string
        code:
          type: number
        message:
          type: string
        data:
          type: object
          properties: {}
          additionalProperties: false
      required:
        - program
        - version
        - datetime
        - status
        - message
        - data
      additionalProperties: false
    ContentFontResource:
      allOf:
        - $ref: '#/components/schemas/SerializedContentResource'
        - $ref: >-
            #/components/schemas/ContentFontResource_Without_CompanyId_ResourceGroupIds_ToJSON
    SerializedContentResource:
      allOf:
        - $ref: >-
            #/components/schemas/ContentResource_Without_CompanyId_ResourceGroupIds_ToJSON
        - type: object
          properties:
            id:
              type: string
            companyId:
              type: string
            resourceGroupIds:
              type: array
              items:
                type: string
            createdAt:
              type: string
              format: date-time
            updatedAt:
              type: string
              format: date-time
          required:
            - id
            - companyId
            - resourceGroupIds
            - createdAt
            - updatedAt
    ContentFontResource_Without_CompanyId_ResourceGroupIds_ToJSON:
      type: object
      properties:
        type:
          type: string
          enum:
            - font
        family:
          type: string
          maxLength: 50
        files:
          type: object
          properties: {}
          additionalProperties:
            type: string
      required:
        - type
        - family
        - files
      additionalProperties: false
    ContentResource_Without_CompanyId_ResourceGroupIds_ToJSON:
      type: object
      properties: {}
      additionalProperties: false
  securitySchemes:
    password_auth:
      type: oauth2
      flows:
        password:
          tokenUrl: https://api.reelevant.com/v1/auth/token
          refreshUrl: https://api.reelevant.com/v1/auth/token
          scopes: {}

````